LibreOffice: DesktopTask Service Reference

LibreOffice LibreOffice 6.4 SDK API Reference

Exported Interfaces | Public Attributes | List of all members
DesktopTask Service Referencepublished

use the Frame service instead of this More...

`import"DesktopTask.idl";`

Inheritance diagram for DesktopTask:

## Exported Interfaces
interface | com::sun::star::frame::XDesktopTask
| use Frame service More...
interface | com::sun::star::frame::XFrame
| use the same interface at the Frame service More...
interface | com::sun::star::beans::XPropertySet
| use the same interface at the Frame service More...
interface | com::sun::star::frame::XWindowArranger
interface | com::sun::star::frame::XFramesSupplier
| use the same interface at the Desktop or Frame service More...

## Public Attributes
string | Title
| use property Frame::Title instead of that More...
boolean | IsDesktop
boolean | IsVisible
| use th visible state of the frame container window instead of this More...
boolean | IsFloating
boolean | IsAlwaysVisible
com::sun::star::awt::Point | Position
| use the position of the frame container window instead of this More...
com::sun::star::awt::Size | Size
| use the size of the frame container window instead of this More...

## Additional Inherited Members
Public Member Functions inherited from XDesktopTask
void | initialize ([in] com::sun::star::awt::XWindow TaskWindow)
| use com::sun::star::lang::XInitialization instead. More...
boolean | close ()
| use com::sun::star::util::XCloseable or com::sun::star::lang::XComponent::dispose() instead. More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XFrame
void | initialize ([in] com::sun::star::awt::XWindow xWindow)
| is called to initialize the frame within a window - the container window. More...
com::sun::star::awt::XWindow | getContainerWindow ()
| provides access to the container window of the frame. More...
void | setCreator ([in] XFramesSupplier Creator)
| sets the frame container that created this frame. More...
XFramesSupplier | getCreator ()
| provides access to the creator (parent) of this frame More...
string | getName ()
| access to the name property of this frame More...
void | setName ([in] string aName)
| sets the name of the frame. More...
XFrame | findFrame ([in] string aTargetFrameName, [in] long nSearchFlags)
| searches for a frame with the specified name. More...
boolean | isTop ()
| determines if the frame is a top frame. More...
void | activate ()
| activates this frame and thus the component within. More...
void | deactivate ()
| is called by the creator frame when another sub-frame gets activated. More...
boolean | isActive ()
| determines if the frame is active. More...
boolean | setComponent ([in] com::sun::star::awt::XWindow xComponentWindow, [in] XController xController)
| sets a new component into the frame or release an existing one from a frame. More...
com::sun::star::awt::XWindow | getComponentWindow ()
| provides access to the component window More...
XController | getController ()
| provides access to the controller More...
void | contextChanged ()
| notifies the frame that the context of the controller within this frame changed (i.e. More...
void | addFrameActionListener ([in]XFrameActionListener xListener)
| registers an event listener, which will be called when certain things happen to the components within this frame or within sub-frames of this frame. More...
void | removeFrameActionListener ([in] XFrameActionListener xListener)
| unregisters an event listener More...
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Public Member Functions inherited from XWindowArranger
boolean | hasArrangeCommand ([in] short nCommand)
void | arrange ([in] short nCommand)
Public Member Functions inherited from XFramesSupplier
XFrames | getFrames ()
| provides access to this container and to all other XFramesSupplier which are available from this node of frame tree More...
XFrame | getActiveFrame ()
| gets the current active frame of this container (not of any other available supplier) More...
void | setActiveFrame ([in] XFrame Frame)
| is called on activation of a direct sub-frame. More...

## Detailed Description

use the Frame service instead of this

Deprecated:

## Exported Interfaces

## ◆ com::sun::star::beans::XPropertySet

interface com::sun::star::beans::XPropertySet

use the same interface at the Frame service

## ◆ com::sun::star::frame::XDesktopTask

interface com::sun::star::frame::XDesktopTask

use Frame service

## ◆ com::sun::star::frame::XFrame

interface com::sun::star::frame::XFrame

use the same interface at the Frame service

## ◆ com::sun::star::frame::XFramesSupplier

interface com::sun::star::frame::XFramesSupplier

use the same interface at the Desktop or Frame service

## ◆ com::sun::star::frame::XWindowArranger

interface com::sun::star::frame::XWindowArranger

## Member Data Documentation

## ◆ IsAlwaysVisible

boolean IsAlwaysVisible
| property

## ◆ IsDesktop

boolean IsDesktop
| propertyreadonly

## ◆ IsFloating

boolean IsFloating
| property

## ◆ IsVisible

boolean IsVisible
| property

use th visible state of the frame container window instead of this

## ◆ Position

com::sun::star::awt::Point Position
| property

use the position of the frame container window instead of this

## ◆ Size

com::sun::star::awt::Size Size
| property

use the size of the frame container window instead of this

## ◆ Title

string Title
| propertyreadonly

use property Frame::Title instead of that

The documentation for this service was generated from the following file:

- com/sun/star/frame/DesktopTask.idl